SUBTITLEEDITOR(1)

NAME
subtitleeditor — Graphical subtitle editor with sound waves representation

SYNOPSIS

subtitleeditor [ -? | -h | --help | --help-all | --help-gst | --help-gtk ]

subtitleeditor [ -p | --profile PROFILE] [ -v | --video FILE] [ -w | --waveform FILE] [ -e | --encoding ENCODING] [FILE]

DESCRIPTION

This manual page documents briefly the subtitleeditor command. As subtitleeditor is a GUI program, most of its options are available through the GUI interface, rather than the command-line.

subtitleeditor is a GTK+3 tool to edit subtitles. It can be used to create new subtitles or as a tool to transform, edit, correct and refine existing subtitles.

OPTIONS

This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-? -h --help
    Show summary of options.

--help-all
    Show all help options.

--help-debug
    Show debug options if debug support was compiled in.

--help-gst
    Show GStreamer options.

--help-gtk
    Show Gtk+ options.

Application Options:

-f --file=FILE
    Open a subtitle file (or multiple subtitled files: -f FILE1 -f FILE2 --file=FILE3 …).

    Positional arguments are treated as implicitly using this option, so "subtitleeditor -f FILE" is equivalent to "subtitleeditor FILE".

-p --profile=NAME
    The name of the configuration profile. Default value is “default“. Subtitleeditor follows the XDG Base Directory Specification, so unless $XDG_CONFIG_HOME is set, profiles are typically stored in ~/.config/subtitleditor/.

-e --encoding=ENCODING
    Encoding used to open subtitle files.

-v --video=FILE
    Open video file.

-w --waveform=FILE
    Open waveform file.

-k --keyframes=FILE
    Open keyframes file.

--display=DISPLAY
    X display to use, if still run under X.

SEE ALSO

For an overview of features and further information see:
https://subtitleeditor.github.io/subtitleeditor/

AUTHOR

This manual page was written by Amaya Rodrigo Sastre <amaya@debian.org> for the Debian(TM) system. It was modified by Anibal Avelar <aavelar@cofradia.org> and Tomáš Hnyk <tomashnyk@gmail.com>.

AUTHOR

Amaya Rodrigo

    Author.

COPYRIGHT
Copyright © 2006 Amaya Rodrigo Sastre
Copyright © 2008 Anibal Avelar
Copyright © 2025 Tomáš Hnyk